Bug 812134

Summary: RFE: Support modern boot device ordering XML
Product: [Community] Virtualization Tools Reporter: Kamil Páral <kparal>
Component: virt-managerAssignee: Cole Robinson <crobinso>
Status: CLOSED UPSTREAM QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: acathrow, awilliam, berrange, crobinso, dpierce, gscrivan, hbrock, ik, jforbes, karaluh, rs, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1192940 (view as bug list) Environment:
Last Closed: 2014-02-10 13:40:34 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 1192940    
Attachments:
Description Flags
bug video screencast none

Description Kamil Páral 2012-04-12 16:22:28 EDT
Description of problem:
I created a bootable USB stick on my host. Then I tried to boot it inside one of my VMs using virt-manager. I added it into VM configuration as USB host device and enabled boot menu (using F12). After VM start the USB device is correctly displayed inside the boot menu. But even though I select it, VM boots from hard disk. I have to go to VM options again, uncheck Hard Disk from boot menu and start VM again. Only after that I can boot from my USB device.

Version-Release number of selected component (if applicable):
libvirt-0.9.6-5.fc16.x86_64
virt-manager-0.9.1-2.fc16.noarch

How reproducible:
always

Steps to Reproduce:
1. create bootable USB stick
2. add it to VM
3. enable F12 boot menu
4. try to boot from the stick, see that it boots from hard drive
5. in VM options uncheck Hard Disk from boot devices
6. try to boot from the stick, now it works
Comment 1 Kamil Páral 2012-04-12 16:29:10 EDT
Created attachment 577161 [details]
bug video screencast

Example video of the bug. In both attempts I try to boot from the USB device, but it boots from Hard Disk the first time because of the bug.
Comment 2 Patrick Bregman 2012-10-24 15:33:04 EDT
This seems to still exist in Fedora 18, although in a slightly different way. I installed FreeBSD to a USB stick, and tried to boot from it. To make sure it doesn't boot from anything else I removed the whole IDE controller (I didn't have a SATA/SAS/SCSI controller) together with the IDE CDROM. 

On the first boot the virtual system tries to boot from anything but USB (this means only network/PXE). It reports that this fails, and that it's going to try again in 60 seconds. After waiting for 60 seconds it reboots, then says "Booting from Hard Disk..." and boots from the USB stick. This is somewhat acceptable to me, but still strange. 

Why can't the virtual BIOS boot from USB on it's first attempt?
Comment 3 Fedora End Of Life 2013-01-16 07:47:30 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Kamil Páral 2013-01-16 08:49:25 EST
Reassigning to Fedora 18 per comment 2.
Comment 5 Cole Robinson 2013-08-31 13:57:44 EDT
I can't reproduce Kamil's initial report anymore.

As for comment #2, this likely has to do with virt-manager lacking UI for the more fine grained boot ordering that qemu and libvirt have supported for a while. The boot device list in the UI should actually list every bootable device attached to the guest, not just generic catchalls like disk, net, etc.

Adding that is non trivial as there are back compat concerns, so reassigning this to the upstream tracker.
Comment 6 Giuseppe Scrivano 2013-11-19 05:30:55 EST
*** Bug 848753 has been marked as a duplicate of this bug. ***
Comment 7 Adam Williamson 2014-01-16 17:40:45 EST
I just tried attaching a USB stick to a guest in Rawhide and using the boot menu, and the stick doesn't appear in the lsit at all.
Comment 8 Cole Robinson 2014-02-10 13:17:35 EST
*** Bug 837131 has been marked as a duplicate of this bug. ***
Comment 9 Cole Robinson 2014-02-10 13:40:34 EST
Upstream virt-manager now lists all bootable devices in its boot order UI. So if you add a usb host device to the guest, it's now a selectable option. Still a two step process though